Package opennlp.tools.formats.brat

## Class AnnotationConfiguration

- java.lang.Object
- - opennlp.tools.formats.brat.AnnotationConfiguration

-     public class AnnotationConfiguration
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ATTRIBUTE_TYPE` |
    `static String` | `ENTITY_TYPE` |
    `static String` | `EVENT_TYPE` |
    `static String` | `RELATION_TYPE` |
    `static String` | `SPAN_TYPE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AnnotationConfiguration​(Map<String,​String> typeToClassMap)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getTypeClass​(String type)` |
    `static AnnotationConfiguration` | `parse​(File annConfigFile)` |
    `static AnnotationConfiguration` | `parse​(InputStream in)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SPAN_TYPE

          public static final String SPAN_TYPE

      See Also:
        Constant Field Values

    - #### ENTITY_TYPE

          public static final String ENTITY_TYPE

      See Also:
        Constant Field Values

    - #### RELATION_TYPE

          public static final String RELATION_TYPE

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_TYPE

          public static final String ATTRIBUTE_TYPE

      See Also:
        Constant Field Values

    - #### EVENT_TYPE

          public static final String EVENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AnnotationConfiguration

          public AnnotationConfiguration​(Map<String,​String> typeToClassMap)

  - ### Method Detail

    - #### getTypeClass

          public String getTypeClass​(String type)

    - #### parse

          public static AnnotationConfiguration parse​(InputStream in)
                                               throws IOException

      Throws:
        `IOException`

    - #### parse

          public static AnnotationConfiguration parse​(File annConfigFile)
                                               throws IOException

      Throws:
        `IOException`